package com.realnet.taxi_rental.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.taxi_rental.Entity.Car_category;
import com.realnet.taxi_rental.Services.Car_categoryService ;






@RequestMapping(value = "/Car_category")
 @CrossOrigin("*") 
@RestController
public class Car_categoryController {
	@Autowired
	private Car_categoryService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Car_category")
		  public Car_category Savedata(@RequestBody Car_category data) {
		Car_category save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Car_category/{id}")
	public  Car_category update(@RequestBody Car_category data,@PathVariable Integer id ) {
		Car_category update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Car_category/getall/page")
	public Page<Car_category> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Car_category> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Car_category")
	public List<Car_category> getdetails() {
		 List<Car_category> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Car_category")
	public List<Car_category> getallwioutsec() {
		 List<Car_category> get = Service.getdetails();		
		return get;
}
@GetMapping("/Car_category/{id}")
	public  Car_category  getdetailsbyId(@PathVariable Integer id ) {
		Car_category  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Car_category/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}